<?php
/*
Plugin Name: Paginator
Description: This plugin paginates posts
Author: Daniel Frużyński
Version: 1.0
Author URI: http://www.poradnik-webmastera.com/
*/

/*  Copyright 2009  Daniel Frużyński  (email : daniel [A-T] poradnik-webmastera.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


add_filter( 'content_paginate', 'test_content_paginate' );
		
function test_content_paginate( $content ) {
	$ret = array();
	foreach ( $content as $txt ) {
		$txt2 = explode( "\n", $txt );
		foreach ( $txt2 as $txt3 ) {
			$txt3 = trim( $txt3 );
			if ( $txt3 != '' ) {
				$ret[] = $txt3;
			}
		}
	}
	return $ret;
}

?>